Loading...
Searching...
No Matches
BLURAY_STREAM_INFO Struct Reference

Clip substream information. More...

`#include <bluray.h>`

## Data Fields

uint8_t | coding_type
| Stream coding (bd_stream_type_e).
uint8_t | format
| Stream format (bd_video_format_e or bd_audio_format_e).
uint8_t | rate
| Stream frame rate (bd_audio_rate_e or bd_video_rate_e).
uint8_t | char_code
| Text subtitle charachter code (bd_char_code_e).
uint8_t | lang [4]
| Language code.
uint16_t | pid
| mpeg-ts PID
uint8_t | aspect
| Stream video aspect ratio (bd_video_aspect_e).
uint8_t | subpath_id
| Sub path identifier (= separate mpeg-ts mux / .m2ts file).

## Detailed Description

Clip substream information.

The documentation for this struct was generated from the following file:

- bluray.h